## org.codehaus.groovy.grails.commons.cfg
Class ConfigurationHelper

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.ConfigurationHelper

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ConfigurationHelper

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ConfigurationHelper()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static void` `initConfig(groovy.util.ConfigObject config)`
`static void` `initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader)`
`static void` `initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader, ClassLoader classLoader)`
`Object` `invokeMethod(String method, Object arguments)`
`static groovy.util.ConfigObject` `loadConfigFromClasspath()`
`static groovy.util.ConfigObject` `loadConfigFromClasspath(GrailsApplication application)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationHelper

    public ConfigurationHelper()

Method Detail

### loadConfigFromClasspath

    public static groovy.util.ConfigObject loadConfigFromClasspath(GrailsApplication application)

### initConfig

    public static void initConfig(groovy.util.ConfigObject config,
                                  ResourceLoader resourceLoader,
                                  ClassLoader classLoader)

### loadConfigFromClasspath

    public static groovy.util.ConfigObject loadConfigFromClasspath()

### initConfig

    public static void initConfig(groovy.util.ConfigObject config,
                                  ResourceLoader resourceLoader)

### initConfig

    public static void initConfig(groovy.util.ConfigObject config)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project